Skip to main content
GET
/
v1
/
projects
/
{projectId}
/
schedules
List All Schedules for a Project
curl --request GET \
  --url https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/schedules \
  --header 'Authorization: Bearer <token>'
{
  "page": 1,
  "results": [
    {
      "cronExpression": 0,
      "cronTimezone": "Europe/Dublin",
      "effectiveFrom": "2022-05-19T12:37:44.000Z",
      "environmentName": "Dev Environment",
      "gridVariables": {
        "grid1": [
          [
            "col1",
            "col2",
            "col3"
          ],
          [
            "col1a",
            "col2a",
            "col3a"
          ]
        ]
      },
      "intervalExpression": {
        "interval": 123,
        "unit": "<string>"
      },
      "lastRunAt": "2022-06-30T01:14:00.000Z",
      "name": "Nightly database backup",
      "nextRunAt": "2022-06-30T01:15:00.000Z",
      "pipelineName": "Nightly database backup",
      "scalarVariables": {
        "variable1": "value1",
        "variable2": "value2"
      },
      "scheduleEnabled": false,
      "scheduleId": "a2239897-51f8-4c09-83ab-0b2c28bd5a37",
      "versionName": "1.2.0"
    }
  ],
  "size": 50,
  "total": 472
}

Authorizations

Authorization
string
header
required

a valid bearer token

Path Parameters

projectId
string<uuid>
required

Query Parameters

Response

Schedules returned successfully with no errors

page
integer<int32>

The 0-indexed page number of the returned results.

Example:

1

results
object[]

Page of results or empty.

size
integer<int32>

The size of each page of results.

Example:

50

total
integer<int64>

Total number of available results across all pages.

Example:

472